## haproxy-log-analysis 2.0~b0

=== requirements.txt ===
PyYAML==3.10
docopt==0.6.1
coverage==3.7
requests==2.1.0
sh==1.09

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/HAProxyloganalyzer.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/HAProxyloganalyzer.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/HAProxyloganalyzer"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/HAProxyloganalyzer"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
haproxy-log-analysis (2.0~b0-2) unstable; urgency=medium

  * Team upload.
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.
  * Use DEB_VERSION_UPSTREAM instead of dpkg-parsechangelog
  * Bump debhelper compat level to 12.

 -- Ondřej Nový <onovy@debian.org>  Mon, 05 Aug 2019 09:48:58 +0200

haproxy-log-analysis (2.0~b0-1) unstable; urgency=low

  * Initial release (Closes: #821339)

 -- Christopher Baines <mail@cbaines.net>  Mon, 09 May 2016 12:13:52 +0000

=== debian/control ===
Source: haproxy-log-analysis
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Christopher Baines <mail@cbaines.net>
Section: python
Priority: optional
Build-Depends: dh-python,
               debhelper-compat (= 12),
               help2man,
               python3-setuptools,
               python3-all,
Standards-Version: 3.9.8
Vcs-Git: https://salsa.debian.org/python-team/modules/haproxy-log-analysis.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/haproxy-log-analysis
Homepage: https://github.com/gforcada/haproxy_log_analysis

Package: python3-haproxy-log-analysis
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: generate aggregate statistics from HAProxy HTTP logs (Python 3)
 haproxy log analysis can generate aggregate statistics from HAProxy logs in
 the HTTP log format. This can be over a specific period, or over a subset of
 the entries by specifying a filter.
 .
 This package contains the Python 3 library.

Package: haproxy-log-analysis
Architecture: all
Depends: ${misc:Depends},
         python3,
         python3-haproxy-log-analysis,
Description: analyse the HTTP logs generated by HAProxy
 haproxy log analysis can generate aggregate statistics from HAProxy logs in
 the HTTP log format. This can be over a specific period, or over a subset of
 the entries by specifying a filter.
 .
 This package contains the command line tool, haproxy_log_analysis. See
 python3-haproxy-log-analysis for the library that this tool uses.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=haproxy-log-analysis
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	# Move the python 3 script to the haproxy-log-analysis package
	mkdir -p debian/haproxy-log-analysis/usr/bin
	mv debian/python3-haproxy-log-analysis/usr/bin/haproxy_log_analysis debian/haproxy-log-analysis/usr/bin/

override_dh_installman:
	PYTHONPATH="." help2man --no-info --version-string="${DEB_VERSION_UPSTREAM}" \
		--name="generate aggregate statistics from HAProxy HTTP logs" \
		--output=debian/haproxy_log_analysis.1 \
		./debian/haproxy-log-analysis/usr/bin/haproxy_log_analysis
	dh_installman

=== debian/watch ===
# please also check https://pypi.debian.net/haproxy_log_analysis/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/haproxy_log_analysis/haproxy_log_analysis-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haproxy-log-analysis 5.1.0

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.7
# To update, run:
#
#    pip-compile requirements.in
#
attrs==22.1.0
    # via pytest
certifi==2022.9.24
    # via requests
charset-normalizer==2.1.1
    # via requests
coverage[toml]==6.5.0
    # via
    #   coveralls
    #   pytest-cov
coveralls==3.3.1
    # via -r requirements.in
docopt==0.6.2
    # via coveralls
exceptiongroup==1.0.4
    # via pytest
idna==3.4
    # via requests
importlib-metadata==5.1.0 ; python_version < "3.8"
    # via
    #   -r requirements.in
    #   pluggy
    #   pytest
iniconfig==1.1.1
    # via pytest
packaging==21.3
    # via pytest
pluggy==1.0.0
    # via pytest
pyparsing==3.0.9
    # via packaging
pytest==7.2.0
    # via
    #   -r requirements.in
    #   pytest-cov
pytest-cov==4.0.0
    # via -r requirements.in
requests==2.28.1
    # via coveralls
tomli==2.0.1
    # via
    #   coverage
    #   pytest
typing-extensions==4.4.0
    # via importlib-metadata
urllib3==1.26.13
    # via requests
zipp==3.11.0 ; python_version < "3.8"
    # via
    #   -r requirements.in
    #   importlib-metadata

=== debian/changelog ===
haproxy-log-analysis (5.1.0-2) unstable; urgency=medium

  * Team upload.
  * Declare Rules-Requires-Root: no.
  * Correct autopkgtests (whoops!)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 19 Nov 2023 17:17:38 +0200

haproxy-log-analysis (5.1.0-1) unstable; urgency=medium

  * Team upload.

  [ Dale Richards ]
  * New upstream version 5.1.0 (Closes: #1038111, #1040286).
  * Review and update to Debian Policy version 4.6.2.
    - Increase build verbosity.
  * Run tests with pytest.

  [ Stefano Rivera ]
  * Update watch file to account for _ in the filename.
  * Move source package and binary to utils section (Closes: #825599).
  * Add autopkgtests.
  * Update copyright.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 19 Nov 2023 17:02:20 +0200

haproxy-log-analysis (2.0~b0-4) unstable; urgency=medium

  * Set upstream metadata fields: Repository-Browse.

 -- Debian Janitor <janitor@jelmer.uk>  Sat, 28 May 2022 01:09:38 +0100

haproxy-log-analysis (2.0~b0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

 -- Sandro Tosi <morph@debian.org>  Mon, 02 May 2022 23:40:49 -0400

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,22 @@
 Source: haproxy-log-analysis
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Christopher Baines <mail@cbaines.net>
-Section: python
+Section: utils
 Priority: optional
 Build-Depends: dh-python,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                help2man,
                python3-setuptools,
                python3-all,
-Standards-Version: 3.9.8
-Vcs-Git: https://salsa.debian.org/python-team/modules/haproxy-log-analysis.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/haproxy-log-analysis
+               python3-pytest,
+Standards-Version: 4.6.2
+Vcs-Git: https://salsa.debian.org/python-team/packages/haproxy-log-analysis.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/haproxy-log-analysis
 Homepage: https://github.com/gforcada/haproxy_log_analysis
+Rules-Requires-Root: no
 
 Package: python3-haproxy-log-analysis
+Section: python
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,8 @@
 override_dh_auto_install:
 	dh_auto_install
 	# Move the python 3 script to the haproxy-log-analysis package
-	mkdir -p debian/haproxy-log-analysis/usr/bin
-	mv debian/python3-haproxy-log-analysis/usr/bin/haproxy_log_analysis debian/haproxy-log-analysis/usr/bin/
+	mkdir -pv debian/haproxy-log-analysis/usr/bin
+	mv -v debian/python3-haproxy-log-analysis/usr/bin/haproxy_log_analysis debian/haproxy-log-analysis/usr/bin/
 
 override_dh_installman:
 	PYTHONPATH="." help2man --no-info --version-string="${DEB_VERSION_UPSTREAM}" \

=== debian/tests/control ===
Tests: unittests
Depends:
 python3-all,
 python3-haproxy-log-analysis,
 python3-pytest

Tests: help
Depends: haproxy-log-analysis

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/haproxy-log-analysis/haproxy_log_analysis-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haproxy-log-analysis 6.0.0~a4

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.8
# by the following command:
#
#    pip-compile requirements.in
#
attrs==22.1.0
    # via pytest
coverage[toml]==6.5.0
    # via
    #   coverage
    #   pytest-cov
exceptiongroup==1.1.3
    # via pytest
iniconfig==1.1.1
    # via pytest
packaging==21.3
    # via pytest
pluggy==1.0.0
    # via pytest
pyparsing==3.0.9
    # via packaging
pytest==7.2.0
    # via
    #   -r requirements.in
    #   pytest-cov
pytest-cov==4.0.0
    # via -r requirements.in
tomli==2.0.1
    # via
    #   coverage
    #   pytest

=== debian/changelog ===
haproxy-log-analysis (6.0.0~a4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.0.0~a4
  * d/watch: Use release tarballs instead of tags.
  * d/control: Use pybuild with pyproject.
  * d/rules: Update help2man command for new src directory.
  * Mark "help" autopkgtest as superficial.
  * Bump Standards-Version to 4.7.0, no changes needed.
  * README.rst: Remove remote images for privacy.
  * Fix timezone for tests/test_commands.py. The hardcoded expected datetime
    values in the tests are timezone-specific, and would cause tests to
    fail if run in an environment more than one hour away from UTC.

 -- Dale Richards <dale@dalerichards.net>  Mon, 10 Jun 2024 22:50:36 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
 Build-Depends: dh-python,
                debhelper-compat (= 13),
                help2man,
-               python3-setuptools,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-pytest,
-Standards-Version: 4.6.2
+               python3-setuptools,
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/haproxy-log-analysis.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/haproxy-log-analysis
 Homepage: https://github.com/gforcada/haproxy_log_analysis

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	mv -v debian/python3-haproxy-log-analysis/usr/bin/haproxy_log_analysis debian/haproxy-log-analysis/usr/bin/
 
 override_dh_installman:
-	PYTHONPATH="." help2man --no-info --version-string="${DEB_VERSION_UPSTREAM}" \
+	PYTHONPATH="./src" help2man --no-info --version-string="${DEB_VERSION_UPSTREAM}" \
 		--name="generate aggregate statistics from HAProxy HTTP logs" \
 		--output=debian/haproxy_log_analysis.1 \
 		./debian/haproxy-log-analysis/usr/bin/haproxy_log_analysis

=== debian/tests/control ===
--- 
+++ 
@@ -6,3 +6,4 @@
 
 Tests: help
 Depends: haproxy-log-analysis
+Restrictions: superficial

=== debian/watch ===
version=4
opts="searchmode=plain,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|a|b)\d*)$/$1~$2/, \
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%" \
https://api.github.com/repos/gforcada/haproxy_log_analysis/releases?per_page=100 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@
